<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');
include_once(ROOT_DIR.'egWindow.class.php');

class egListItem extends egWindow {
	var $icon;
	var $value;
	var $action;

	function egListItem($id, $title, $icon=null, $value=null, $action=null) {
		parent::egWindow($id, $title);
		$this->icon = &$icon;
		$this->value = &$value;
    $this->action = &$action;
	}

	function getClassName() {
		return "egListItem";
	}

	function &getIcon() {
		return $this->icon;
	}

	function &getAction() {
		return $this->action;
	}

	function &getValue() {
		return $this->value;
	}
}
?>